Package picard.illumina.parser.readers

## Class LocsFileReader

- java.lang.Object
- - picard.illumina.parser.readers.AbstractIlluminaPositionFileReader
  - - picard.illumina.parser.readers.LocsFileReader

- All Implemented Interfaces:
    `htsjdk.samtools.util.CloseableIterator<AbstractIlluminaPositionFileReader.PositionInfo>`, `Closeable`, `AutoCloseable`, `Iterator<AbstractIlluminaPositionFileReader.PositionInfo>`

      public class LocsFileReader
      extends AbstractIlluminaPositionFileReader

  The locs file format is one 3 Illumina formats(pos, locs, and clocs) that stores position data exclusively. locs files store position data for successive clusters in 4 byte float pairs, described as follows: bytes 1-4 : (int?) Version number (1) bytes 5-8 : 4 byte float equaling 1.0 bytes 9-12 : unsigned int numClusters bytes 13-16: : X coordinate of first cluster (32-bit float) bytes 17-20: : Y coordinate of first cluster (32-bit float) The remaining bytes of the file store the X and Y coordinates of the remaining clusters.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.illumina.parser.readers.AbstractIlluminaPositionFileReader

      `AbstractIlluminaPositionFileReader.PositionInfo`

  - ### Field Summary

    - ### Fields inherited from class picard.illumina.parser.readers.AbstractIlluminaPositionFileReader

      `MAX_POS, MIN_POS, S_LOCS_FILE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocsFileReader​(File file)` |
    `LocsFileReader​(File file, int lane, int tile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `boolean` | `hasNext()` | Return true if the file has more elements to return, false otherwise
    `protected String` | `makeExceptionMsg()` | Create a string that will be included in any NoSuchElementException thrown by the next() method
    `void` | `skipRecords​(int numToSkip)` |
    `protected AbstractIlluminaPositionFileReader.PositionInfo` | `unsafeNextInfo()` | Returns the next position info.

    - ### Methods inherited from class picard.illumina.parser.readers.AbstractIlluminaPositionFileReader

      `getFile, getLane, getTile, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface htsjdk.samtools.util.CloseableIterator

      `stream, toList`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### LocsFileReader

          public LocsFileReader​(File file)

    - #### LocsFileReader

          public LocsFileReader​(File file,
                                int lane,
                                int tile)

  - ### Method Detail

    - #### unsafeNextInfo

          protected AbstractIlluminaPositionFileReader.PositionInfo unsafeNextInfo()

      Description copied from class: `AbstractIlluminaPositionFileReader`
      Returns the next position info. Implementations of this method do not need to call hasNext since it is called in next()
      Specified by:
        `unsafeNextInfo` in class `AbstractIlluminaPositionFileReader`

    - #### makeExceptionMsg

          protected String makeExceptionMsg()

      Description copied from class: `AbstractIlluminaPositionFileReader`
      Create a string that will be included in any NoSuchElementException thrown by the next() method
      Specified by:
        `makeExceptionMsg` in class `AbstractIlluminaPositionFileReader`

    - #### hasNext

          public boolean hasNext()

      Description copied from class: `AbstractIlluminaPositionFileReader`
      Return true if the file has more elements to return, false otherwise
      Specified by:
        `hasNext` in interface `Iterator<AbstractIlluminaPositionFileReader.PositionInfo>`
      Specified by:
        `hasNext` in class `AbstractIlluminaPositionFileReader`

    - #### close

          public void close()

    - #### skipRecords

          public void skipRecords​(int numToSkip)